Bug 3178 - Developer documentation portal needs revision
: Developer documentation portal needs revision
Status: RESOLVED FIXED
Product: maemo.org Website
General
: unspecified
: All Linux
: High normal (vote)
: ---
Assigned To: Dave Neary
: general@maemo.org
: https://maemo.org/development/
:
:
:
  Show dependency tree
 
Reported: 2008-05-19 13:31 UTC by Dave Neary
Modified: 2009-04-24 17:34 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Dave Neary (reporter) maemo.org 2008-05-19 13:31:22 UTC
Developer documentation portal at https://maemo.org/development/ needs
revision. In the first instance, the documentation needs a decent edit to
shorten the text, and get to the really interesting resources for a developer
quickly.

An example of a developer documentation site which works well is
http://library.gnome.org/devel - we need to have this level of ruthlessness in
making content useful to prospective developers.

Questions developers ask themselves when coming to the site, and the resources
they need:

* How do I do <task>? -> Guides and tutorials
* What does <library call> do? How should I use it? -> API reference
* How can I get started developing something? -> Guides, platform overview,
sample code, developer tools
Comment 1 Quim Gil nokia 2008-05-19 14:02:40 UTC
In fact the developer story is pretty simple.

Documentation (latest stable):

- Quickstart Guide - intro + links to the 101 relevant destination points.
- Manual - will come with Diablo integrating all the separate HowTos.
- Training materials - thick PDFs, all free.
- Architecture - good candidate to be fully wiki-zed.
- Link to the wiki for the unstable & community stuff.


Developer tools

- Latest stable SDK - Today latest Chinook.
- Latest unstable - Today maemo SDK+ project
- Offer for those with focus on Python, Eclipse, Anjuta...
- Link to list of additional tools for debug, performance...
- Link to wiki page with all what the community has to offer.

Always making clear the diffwerence between Nokia deliveries and community
supported.


The usual suspects are:

- Linux Desktop developers with an interesting porting developing apps for the
tablets/mobile.
- Windows users interested in development for the tablets via Python or
similar.
- Mobile developers with a Symbian/S60 or .NET or Java background.
- People interested in widgets, themes and more UI centric development.
Comment 2 Quim Gil nokia 2008-07-19 16:36:48 UTC
It would be more practical to have this as a wiki page task. Listed at
http://wiki.maemo.org/100Days/Sprint3#.28Re.29New.28ed.29 and setting to Medium
to be proposed in the Sprint3 review meeting.
Comment 3 Quim Gil nokia 2008-08-09 00:47:28 UTC
fwiw this is now a task listed at
https://wiki.maemo.org/Objective:Co-production_of_official_%26_community_documentation
Comment 4 Andre Klapper maemo.org 2008-08-17 17:57:43 UTC
Will this be handled within http://wiki.maemo.org/100Days/Sprint4 (before
2008/09/02) and if so, who exactly is the assignee? "documentation@maemo.org"
doesn't look like a human individual. ;-)
Otherwise please set priority to LOW.
Comment 5 Quim Gil nokia 2008-10-01 10:24:08 UTC
http://wiki.maemo.org/Task:Content_Cleanup#Development has been committed for
the October sprint. Setting priority as HIGH.
Comment 6 Dave Neary (reporter) maemo.org 2008-10-01 18:16:36 UTC
What's the best place to gather this together? Bugzilla seems like a good place
to track progress, but not for discussion or drafting content.

I suggest following in the path of the community page, and using
"Task:Improving_maemo.org/Development" for the job.
Comment 7 Dave Neary (reporter) maemo.org 2008-11-04 13:39:29 UTC
I have made a proposal for the content of a new Development portal in the wiki,
which has so far received no feedback. This is now delaying on mock-ups and
layout. http://wiki.maemo.org/Task:Improving_maemo.org/Development
Comment 8 Quim Gil nokia 2008-11-04 13:41:28 UTC
Just a note: I did my homework and provided feedback.  :)

http://wiki.maemo.org/index.php?title=Task%3AImproving_maemo.org%2FDevelopment&diff=8338&oldid=8215
Comment 9 Dave Neary (reporter) maemo.org 2008-11-04 13:45:57 UTC
Sorry - I'd missed that. A nice feature would be when watching a page to
automatically watch all sub-pages (MoinMoin page watches work this way, through
regular expressions).
Comment 10 Dave Neary (reporter) maemo.org 2008-11-28 19:52:39 UTC
Just an additional comment to point out that some progress has been made at
http://wiki.maemo.org/Task:Improving_maemo.org/Development - proposed content
is more or less final, and a wire-frame of the page is available. A designer is
working on laying out the page according to the new in-progress maemo.org
theme.
Comment 11 Dave Neary (reporter) maemo.org 2009-01-30 15:30:24 UTC
Just a comment to say this bug will stay open until the new website design is
deployed.
Comment 12 Dave Neary (reporter) maemo.org 2009-04-24 17:34:22 UTC
Closing as FIXED - see http://maemo.org/development for new development page.